function ctf_plot(ctf,CHAN)

% ctf_plot - plot ctf.data
%
% ctf_plot(ctf,CHAN)
%
% CHAN:
%      all - meg and eeg (default)
%      meg
%      eeg
%      ref
%      others
%


if ~exist('CHAN','var'), CHAN = 'all'; end

trials = length(ctf.data);

if trials > 1,
  fprintf('...plotting trial %d of %d trials in ctf.data\n',1,trials);
  data = ctf.data{1};
else
  data = ctf.data;
end

if isnumeric(CHAN),
  plot(ctf.setup.time_msec,data(:,CHAN))
  %eeg_crosshair
  return
end


switch CHAN,
  
  case 'all',
    
    if isempty(ctf.sensor.index.meg),
      fprintf('...no meg sensors\n');
      megIndex = [];
    else
      megIndex = ctf.sensor.index.meg;
    end
    if isempty(ctf.sensor.index.eeg),
      fprintf('...no eeg sensors\n');
      eegIndex = [];
    else
      eegIndex = ctf.sensor.index.eeg;
    end
    
    plot(ctf.setup.time_msec,data(:,[megIndex eegIndex]))
    
  case 'meg',
    
    if isempty(ctf.sensor.index.meg),
      fprintf('...no meg sensors\n');
    else
      plot(ctf.setup.time_msec,data(:,ctf.sensor.index.meg))
    end
    
  case 'eeg',
    
    if isempty(ctf.sensor.index.eeg),
      fprintf('...no eeg sensors\n');
    else
      plot(ctf.setup.time_msec,data(:,ctf.sensor.index.eeg))
    end
    
  case 'ref',
    
    if isempty(ctf.sensor.index.ref),
      fprintf('...no ref sensors\n');
    else
      plot(ctf.setup.time_msec,data(:,ctf.sensor.index.ref))
    end
    
  case 'others',
    
    if isempty(ctf.sensor.index.other),
      fprintf('...no other sensors\n');
    else
      plot(ctf.setup.time_msec,data(:,ctf.sensor.index.other))
    end
    
  otherwise
    
    fprintf('...CHAN option not recognised\n');
    
end

return
